Submit membership inquiry
curl --request POST \
--url https://api.creditor.younegotiate.com/membership-settings/inquiry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accounts_in_scope": 2500,
"description": "Need a custom enterprise plan."
}
'import requests
url = "https://api.creditor.younegotiate.com/membership-settings/inquiry"
payload = {
"accounts_in_scope": 2500,
"description": "Need a custom enterprise plan."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accounts_in_scope: 2500, description: 'Need a custom enterprise plan.'})
};
fetch('https://api.creditor.younegotiate.com/membership-settings/inquiry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Thank you for your membership inquiry. We will provide an update very soon.",
"data": {
"id": 123,
"description": "<string>",
"accounts_in_scope": 123,
"status_label": "New Inquiry",
"has_special_membership": true,
"company": {
"id": 123,
"company_name": "<string>",
"owner_full_name": "<string>",
"owner_email": "jsmith@example.com",
"owner_phone": "<string>",
"company_phone": "<string>",
"special_membership": {
"id": 123,
"company_id": 123,
"name": "<string>",
"price": 123,
"fee": 123,
"e_letter_fee": 123,
"upload_accounts_limit": 123,
"frequency": "<string>",
"description": "<string>",
"features": null,
"status": true,
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Submit membership inquiry
Submit a special membership plan inquiry for the authenticated creditor company. Only one pending inquiry may exist at a time.
POST
/
membership-settings
/
inquiry
Submit membership inquiry
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on July 20, 2026
Was this page helpful?
⌘I

